summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-23 00:45:22 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-23 00:45:22 +0000
commit0ef49ddebd4614eb92d89a84fb5f5c6d60c18d31 (patch)
tree4180996230b30be77d5efcd9bfc423e226a8ec4d /dev-python
parent12ae1ec9bf1123af720056a7b529e4aa0599327b (diff)
downloadbaldeagleos-repo-0ef49ddebd4614eb92d89a84fb5f5c6d60c18d31.tar.gz
baldeagleos-repo-0ef49ddebd4614eb92d89a84fb5f5c6d60c18d31.tar.xz
baldeagleos-repo-0ef49ddebd4614eb92d89a84fb5f5c6d60c18d31.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyPDF2/Manifest1
-rw-r--r--dev-python/PyPDF2/PyPDF2-2.10.3.ebuild132
-rw-r--r--dev-python/cssutils/Manifest1
-rw-r--r--dev-python/cssutils/cssutils-2.6.0.ebuild42
-rw-r--r--dev-python/hatch-fancy-pypi-readme/hatch-fancy-pypi-readme-22.3.0.ebuild2
-rw-r--r--dev-python/ipdb/ipdb-0.13.9-r2.ebuild2
-rw-r--r--dev-python/jc/Manifest1
-rw-r--r--dev-python/jc/jc-1.21.0.ebuild31
-rw-r--r--dev-python/jsonschema/jsonschema-4.14.0.ebuild2
-rw-r--r--dev-python/jupyter_kernel_test/Manifest1
-rw-r--r--dev-python/jupyter_kernel_test/jupyter_kernel_test-0.4.5.ebuild28
-rw-r--r--dev-python/mkdocs-redirects/Manifest1
-rw-r--r--dev-python/mkdocs-redirects/mkdocs-redirects-1.1.0.ebuild31
-rw-r--r--dev-python/networkx/Manifest1
-rw-r--r--dev-python/networkx/networkx-2.8.6.ebuild62
-rw-r--r--dev-python/pymongo/Manifest2
-rw-r--r--dev-python/pymongo/pymongo-4.0.2.ebuild117
-rw-r--r--dev-python/pymongo/pymongo-4.1.0.ebuild117
-rw-r--r--dev-python/pymongo/pymongo-4.1.1.ebuild2
-rw-r--r--dev-python/python-lsp-server/python-lsp-server-1.5.0.ebuild2
-rw-r--r--dev-python/rpy/Manifest1
-rw-r--r--dev-python/rpy/rpy-3.5.4.ebuild41
-rw-r--r--dev-python/urllib3/Manifest1
-rw-r--r--dev-python/urllib3/urllib3-1.26.12.ebuild78
-rw-r--r--dev-python/whatthepatch/whatthepatch-1.0.2.ebuild2
25 files changed, 459 insertions, 242 deletions
diff --git a/dev-python/PyPDF2/Manifest b/dev-python/PyPDF2/Manifest
index 30557b5c64ad..3c6b77a87907 100644
--- a/dev-python/PyPDF2/Manifest
+++ b/dev-python/PyPDF2/Manifest
@@ -1,5 +1,6 @@
DIST PyPDF2-2.10.0.gh.tar.gz 6355180 BLAKE2B 1070e4989609cb1361f966f06a23a972ba0f53d6d02d2f489104a7198111d4e80573e2a54d7446bd85ccc8270ad8cb592c2131f0ba1433b3c1ca246bcd39c466 SHA512 dfc543a9cbc4c4e185abc928a64a8aeb5c69d833d3af0983bc994bb6a62b65732a6ea0a7b260bca4de8854639c0a03e0cc6398a5d9ec4df9125ccf7e4b3b264d
DIST PyPDF2-2.10.2.gh.tar.gz 6434051 BLAKE2B 36778692fc8fff4c4dba16e94128b09d366a7c10d0f2a73c85f6de1b2baf1c6545fdd816cf633757276b79893087fc983c8a0b8e756fd375a0ae319cb75fe108 SHA512 6e19bc2967abfd813f05607126e3ae07daa202428db667c6a729513f12f4d962f0350475dd5806bd36a40fafd7dc6c2073fd7d4db24321061b1a73e93225e78b
+DIST PyPDF2-2.10.3.gh.tar.gz 6435551 BLAKE2B 2907ef5f8fb7117d895d87326fd8281154cb5a78be54e832489c211f10a2cb2762051eff419279e2f3e70ed773645b08b59d598c9c7edba575c06d9e34fcefa6 SHA512 a8b05f280e8aecd9b54a143dc77c6aa5e095485e4d9c38c3d2ab62855e004d4c8333b88c7b663cf282d7a7eeac920595d94e6c3ba7524850272d82cb504a4f7c
DIST PyPDF2-2.8.1.gh.tar.gz 5872212 BLAKE2B 19224d1b38947ad14adfb9b33201e0223f6da43072c6bffb78fae939872d0a025e6d2fd6f1eed0c0b88754a359a5459a45a36130659d81089caa884025a922d1 SHA512 6414339017c154610dbb5affcbf94fcda7ab6d1ea78f35cc348a2b8e5fc8c60216c4f20ffc114cb3abd8245ad7a8b40b4cca6161e3a98caff896fb823acc7bea
DIST PyPDF2-2.9.0.gh.tar.gz 5877910 BLAKE2B afea03f9ac21e4b39cd39ce03adf70a8e08b80315f7cdd81440e371396ba48939560a3835de9587be8020e1aab75726409ecec753ef0fb042d69fe7fc6755e80 SHA512 fefbc6e6eb7ac0a0154f662044acb66f1c034efc114e878ced109d54a3e5427bb73088cb88d765c4576c2d67459a2daf64415789f8efe9b66cf8ed2bb78ff297
DIST PyPDF2-sample-files-200644f7219811c3930ad1732ef70c570ece2d16.gh.tar.gz 5513604 BLAKE2B 1bfccaf3b50431d32341c24ea7aa203060d40d60a4b3656df35274d056918e7fccf99e11ee2539f65e6de15741ce28acaccd0ddc771ca334a8ba18a8953aee05 SHA512 5d2e1aa06e240957e9ec230406208fc653384b45b9e4b6631580c2eb4f08327e192c6ef57c2310ef3ed0604c85015b15f5ade8ef7d9f525e73733e040fe37fe5
diff --git a/dev-python/PyPDF2/PyPDF2-2.10.3.ebuild b/dev-python/PyPDF2/PyPDF2-2.10.3.ebuild
new file mode 100644
index 000000000000..c9f65130047b
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-2.10.3.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=b6f4ff3de00745783d79f25cb8803901d1f20d28
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/PyPDF2/
+ https://github.com/py-pdf/PyPDF2/
+"
+SRC_URI="
+ https://github.com/py-pdf/PyPDF2/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Needs network access
+ tests/test_cmap.py
+ tests/test_filters.py::test_decompress_zlib_error
+ tests/test_filters.py::test_lzw_decode_neg1
+ tests/test_filters.py::test_issue_399
+ tests/test_generic.py::test_dict_read_from_stream
+ tests/test_generic.py::test_parse_content_stream_peek_percentage
+ tests/test_generic.py::test_read_inline_image_no_has_q
+ tests/test_generic.py::test_read_inline_image_loc_neg_1
+ tests/test_generic.py::test_text_string_write_to_stream
+ tests/test_generic.py::test_name_object_read_from_stream_unicode_error
+ tests/test_generic.py::test_bool_repr
+ tests/test_generic.py::test_issue_997
+ tests/test_merger.py::test1
+ tests/test_merger.py::test_bookmark
+ tests/test_merger.py::test_iss1145
+ tests/test_merger.py::test_sweep_indirect_list_newobj_is_None
+ tests/test_merger.py::test_sweep_recursion1
+ tests/test_merger.py::test_sweep_recursion2
+ tests/test_merger.py::test_trim_outline
+ tests/test_merger.py::test_trim_outline_list
+ tests/test_merger.py::test_zoom
+ tests/test_merger.py::test_zoom_xyz_no_left
+ tests/test_page.py::test_empyt_password_1088
+ tests/test_page.py::test_extract_text_operator_t_star
+ tests/test_page.py::test_extract_text_page_pdf
+ tests/test_page.py::test_extract_text_page_pdf_impossible_decode_xform
+ tests/test_page.py::test_extract_text_single_quote_op
+ 'tests/test_page.py::test_page_operations[https://arxiv.org/pdf/2201.00029.pdf-None]'
+ tests/test_reader.py::test_extract_text_pdf15
+ tests/test_reader.py::test_extract_text_xref_issue_2
+ tests/test_reader.py::test_extract_text_xref_issue_3
+ tests/test_reader.py::test_extract_text_xref_table_21_bytes_clrf
+ tests/test_reader.py::test_get_fields
+ tests/test_reader.py::test_get_fields_read_else_block
+ tests/test_reader.py::test_get_fields_read_else_block2
+ tests/test_reader.py::test_get_fields_read_else_block3
+ tests/test_reader.py::test_get_fields_read_write_report
+ tests/test_reader.py::test_iss925
+ tests/test_reader.py::test_metadata_is_none
+ tests/test_reader.py::test_outline_color
+ tests/test_reader.py::test_outline_font_format
+ tests/test_reader.py::test_outline_with_empty_action
+ tests/test_reader.py::test_outline_with_missing_named_destination
+ tests/test_reader.py::test_read_form_416
+ tests/test_reader.py::test_unexpected_destination
+ tests/test_reader.py::test_unexpected_destination
+ tests/test_reader.py::test_xfa_non_empty
+ tests/test_reader.py::test_PdfReaderMultipleDefinitions
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_compress
+ tests/test_workflows.py::test_extract_text
+ tests/test_workflows.py::test_extract_textbench
+ tests/test_workflows.py::test_get_fields
+ tests/test_workflows.py::test_get_fonts
+ tests/test_workflows.py::test_get_metadata
+ tests/test_workflows.py::test_get_outline
+ tests/test_workflows.py::test_image_extraction
+ tests/test_workflows.py::test_merge
+ tests/test_workflows.py::test_merge_with_warning
+ tests/test_workflows.py::test_overlay
+ tests/test_workflows.py::test_scale_rectangle_indirect_object
+ tests/test_workflows.py::test_get_xfa
+ tests/test_workflows.py::test_get_xmp
+ tests/test_writer.py::test_sweep_indirect_references_nullobject_exception
+ tests/test_writer.py::test_write_bookmark_on_page_fitv
+ tests/test_xmp.py::test_custom_properties
+ tests/test_xmp.py::test_dc_creator
+ tests/test_xmp.py::test_dc_description
+ tests/test_xmp.py::test_dc_subject
+ tests/test_xmp.py::test_issue585
+ tests/test_xmp.py::test_xmpmm
+ tests/test_merger.py::test_outline_item
+ tests/test_page.py::test_iss_1142
+ tests/test_page.py::test_read_link_annotation
+ tests/test_reader.py::test_named_destination
+ tests/test_writer.py::test_write_outline_item_on_page_fitv
+
+ # TODO
+ tests/test_workflows.py::test_orientations
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${P}"/sample-files/ || die
+ fi
+}
diff --git a/dev-python/cssutils/Manifest b/dev-python/cssutils/Manifest
index bc90b46ae35a..3c445ad95fda 100644
--- a/dev-python/cssutils/Manifest
+++ b/dev-python/cssutils/Manifest
@@ -1 +1,2 @@
DIST cssutils-2.5.1.tar.gz 723277 BLAKE2B ca55d980929d48c6eb555c08166870572ac179dadef785ccba3781de7568655374f3fbe44282db7c85f623dbf0c1aaf3360038c7168ba4022ad2f68b48ae5745 SHA512 20a94d5f08f662d67f2c1a0f92ca7fbc46d58dffc8bd4187ab51c8deb6ed29154604abab474ad80c806cc50b1dda9bf8d06edd98d5e8603bdd4917052ba796ce
+DIST cssutils-2.6.0.tar.gz 723259 BLAKE2B 6548e87c78fe6b850b98989521c27cebd4170939517edca895c2787c1367e1c6dc94308355f7dd2e1dee7194f88bd025b72c801cd9b90f8a08ab244f6a4e890e SHA512 95ce26cc4816e7750fc0f1e0c4ac60f176e3c7b3ea1871440bf937d442e0f8626f9e4c75622c0ea3a84d68ceb4b768544e9642936beb87eff1b55117ce47b311
diff --git a/dev-python/cssutils/cssutils-2.6.0.ebuild b/dev-python/cssutils/cssutils-2.6.0.ebuild
new file mode 100644
index 000000000000..000cb2fd40ef
--- /dev/null
+++ b/dev-python/cssutils/cssutils-2.6.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A CSS Cascading Style Sheets library"
+HOMEPAGE="
+ https://pypi.org/project/cssutils/
+ https://github.com/jaraco/cssutils/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/cssselect[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-test-5.1[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' 3.8)
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # network
+ encutils/__init__.py::encutils
+ cssutils/tests/test_parse.py::TestCSSParser::test_parseUrl
+ examples/website.py::website.logging
+)
diff --git a/dev-python/hatch-fancy-pypi-readme/hatch-fancy-pypi-readme-22.3.0.ebuild b/dev-python/hatch-fancy-pypi-readme/hatch-fancy-pypi-readme-22.3.0.ebuild
index ea9463280e5e..7c22be94faf4 100644
--- a/dev-python/hatch-fancy-pypi-readme/hatch-fancy-pypi-readme-22.3.0.ebuild
+++ b/dev-python/hatch-fancy-pypi-readme/hatch-fancy-pypi-readme-22.3.0.ebuild
@@ -19,7 +19,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~s390"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc"
RDEPEND="
dev-python/hatchling[${PYTHON_USEDEP}]
diff --git a/dev-python/ipdb/ipdb-0.13.9-r2.ebuild b/dev-python/ipdb/ipdb-0.13.9-r2.ebuild
index b003e11652e8..b77fcb3bbd7a 100644
--- a/dev-python/ipdb/ipdb-0.13.9-r2.ebuild
+++ b/dev-python/ipdb/ipdb-0.13.9-r2.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ppc64 x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ppc64 ~sparc x86"
RDEPEND=">=dev-python/ipython-7.17[${PYTHON_USEDEP}]"
BDEPEND="test? ( dev-python/toml[${PYTHON_USEDEP}] )"
diff --git a/dev-python/jc/Manifest b/dev-python/jc/Manifest
index a35b105010d1..6998d6e96beb 100644
--- a/dev-python/jc/Manifest
+++ b/dev-python/jc/Manifest
@@ -1,3 +1,4 @@
DIST jc-1.20.1.gh.tar.gz 10342360 BLAKE2B fe7eb94e53a78e6d2c1f13403ac529e4e0c0251a9e5f8270e88a94c7d086b7b1eca5cf8bd51ab6b514923ac2de95b7365b8ee29eeae5a1bb861e911f70be81d8 SHA512 d066b30089fce8bb7aff6db0b278f258a91bbef73bc49abb0b086b1cce5253a0ba07efa9e3680ee6ee333ea4a2b6afcfe4028eee58d0ec16411f7c257a54a9b5
DIST jc-1.20.2.gh.tar.gz 10468681 BLAKE2B 185937c277989536bfed42ee27717a2dee1c4672565b7c2dbe6c3146ca6520e7952aef98d67b94c15b1cc3a2bac3eeafe7353644d8379cedc5c657c2ff9255d1 SHA512 80e851eaef0a3159d7ec8c295d8118692b45799359b131396319489ef9aa3d1567cfea4f1382ec857a82707857977b70d11166426cc1a92fb81186ee68bd017e
DIST jc-1.20.4.gh.tar.gz 11842360 BLAKE2B 8c1358d4567510b705843efb7da9ccb02a55049c8a0dc1570661f3648a99405c692ea8493381f324c3517841757c9545527e151fbdf550e12a5fa13cf9c33bf8 SHA512 5f5bcf03c155a56132c66ada38bb6b570e6050d75e0bd90b966cfefb99351adf0249d968077a08714eb9ff8c7d7403d1888bc6687830e13fe05a68a63af661ad
+DIST jc-1.21.0.gh.tar.gz 11910267 BLAKE2B 7d02f6b574dc2171daca9682ef5cfe2ccdba6230320fc331c086c47b147e49efbd11fcb7b7f26bf4d448d4462f051b5b6892eff16e853cdb6cc4927f5cffddba SHA512 5382aba5c6ea0409fae31097516912d07133d2c14eb529e9df742f2efe4682c7e36e934786c9b12454d23e4c3acd5bdce3e97f410303b761f695db787058b034
diff --git a/dev-python/jc/jc-1.21.0.ebuild b/dev-python/jc/jc-1.21.0.ebuild
new file mode 100644
index 000000000000..f0da51437f69
--- /dev/null
+++ b/dev-python/jc/jc-1.21.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Converts the output of popular command-line tools and file-types to JSON"
+HOMEPAGE="
+ https://github.com/kellyjonbrazil/jc/
+ https://pypi.org/project/jc/
+"
+SRC_URI="
+ https://github.com/kellyjonbrazil/jc/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+RDEPEND="
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/jsonschema/jsonschema-4.14.0.ebuild b/dev-python/jsonschema/jsonschema-4.14.0.ebuild
index 1c3276e9da9e..496b044fa244 100644
--- a/dev-python/jsonschema/jsonschema-4.14.0.ebuild
+++ b/dev-python/jsonschema/jsonschema-4.14.0.ebuild
@@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~s390"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc"
RDEPEND="
>=dev-python/attrs-17.4.0[${PYTHON_USEDEP}]
diff --git a/dev-python/jupyter_kernel_test/Manifest b/dev-python/jupyter_kernel_test/Manifest
index 56a70d29cf92..eec6b6d5ea46 100644
--- a/dev-python/jupyter_kernel_test/Manifest
+++ b/dev-python/jupyter_kernel_test/Manifest
@@ -1,2 +1,3 @@
DIST jupyter_kernel_test-0.4.3.tar.gz 13609 BLAKE2B a5ba16da6bb5d7e0a0e2f2796472cb272826286c63ec548cca1a6957f947598fe6686eb7917404433cc818e1a073872b2320433674077905232d03dd848c261d SHA512 68dd7f6a033ff5f1cb73ec63581fad415d0e1ecaa850abc7b97325964849751f7ffc9559ac6c6313727951008d35e741dc6055e2e0fcf3b75978849ec1fe72f6
DIST jupyter_kernel_test-0.4.4.tar.gz 9212 BLAKE2B fb08d061ce63f2d74eb7753f02bfdb70d17739798873fd8adfc4c1fdbdcb832e360e1ced8850efad8dfad14e60fccc465faca60c81e9045436937aa4387f33f9 SHA512 33eafe1b9e92f8dfa625a3116b55349413f671353eee72a88b0124dd44b73704d1bc82bdbeabcb8d00fdaa082cfaf0551aa22fea0340a5cf3babd93aae634830
+DIST jupyter_kernel_test-0.4.5.tar.gz 14326 BLAKE2B ff33a2357969345ae7b62b7621c2a0552adf55d5d7cff341ccafd6224fded6db2a9f77a123a820a51b1a87d29e8a1e175e4a6a3dcdb9f77646edcb4aba4c1b3c SHA512 c12df619f6cd49507a3ac099e305ae8b3594796f2ae52cb2dad6a45d097d58d32c00ebf152c909d997be6447319162d54104af238e143f48560acb339bdf58ce
diff --git a/dev-python/jupyter_kernel_test/jupyter_kernel_test-0.4.5.ebuild b/dev-python/jupyter_kernel_test/jupyter_kernel_test-0.4.5.ebuild
new file mode 100644
index 000000000000..7dd221c1da01
--- /dev/null
+++ b/dev-python/jupyter_kernel_test/jupyter_kernel_test-0.4.5.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Jupyter kernel for octave"
+HOMEPAGE="https://github.com/jupyter/jupyter_kernel_test"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/jupyter_client-6.1.13[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/mkdocs-redirects/Manifest b/dev-python/mkdocs-redirects/Manifest
index 7f7ccff748d3..dfbc428a3796 100644
--- a/dev-python/mkdocs-redirects/Manifest
+++ b/dev-python/mkdocs-redirects/Manifest
@@ -1,2 +1,3 @@
DIST mkdocs-redirects-1.0.4.tar.gz 7028 BLAKE2B b1f266b2bd68ecaf722d28f3fde7f5ab6eb51c800027d09838282f12f8705d2f9ed6f3d45c809ec575e73c70a05ab23d0700f0d6e15a0f36e1fa2f8becabb5b0 SHA512 965989351c62ad83dab4f02526ad118f90d3b9eca9863189565a04d7013aa5de0fb2ac1a8480f308e72aef125ecd74c53a7d2db0b279835074272d30c9eb87ab
DIST mkdocs-redirects-1.0.5.gh.tar.gz 6624 BLAKE2B 2f974dcf2dc438d3d8e2289793150b0a5a0394027552a8f3878f83fc0ab78b0e1c38f29bcd155adccf40e5259e93e81b419741784584f924f5eb18a0059f3107 SHA512 3365f19792438262528236cb9531f12ef31bf368d849387855a58b6427cbe7be6b55292fe5174804f42b29acf0a921ce9987e8b3a7ed3870444fcf94d4a52df6
+DIST mkdocs-redirects-1.1.0.gh.tar.gz 7000 BLAKE2B 7bb98549613926fd7ff3fd9ddf6469703589bb38051358baffc2989bc496df38b270f859f9f40a21d688a7a453d0a4d1532af339d4e43d1144324729ab84824f SHA512 4ccda56bc26fd005ed0a1b0651c65883ad1f87912fc1c61fa9089a0e84bf1d124e943d1fae6f5bac4a521676419dcd8d409524926334f2ea5ae8b0d2f2d4ee52
diff --git a/dev-python/mkdocs-redirects/mkdocs-redirects-1.1.0.ebuild b/dev-python/mkdocs-redirects/mkdocs-redirects-1.1.0.ebuild
new file mode 100644
index 000000000000..1f358fb1ac0b
--- /dev/null
+++ b/dev-python/mkdocs-redirects/mkdocs-redirects-1.1.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Plugin for Mkdocs page redirects"
+HOMEPAGE="
+ https://github.com/mkdocs/mkdocs-redirects
+ https://pypi.org/project/mkdocs-redirects/
+"
+SRC_URI="
+ https://github.com/mkdocs/mkdocs-redirects/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/mkdocs-1.0.4[${PYTHON_USEDEP}]
+ <dev-python/mkdocs-2[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/twine[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/networkx/Manifest b/dev-python/networkx/Manifest
index a70c333d4c65..2b05ed0e8c1a 100644
--- a/dev-python/networkx/Manifest
+++ b/dev-python/networkx/Manifest
@@ -1 +1,2 @@
DIST networkx-2.8.5.tar.gz 1955125 BLAKE2B a98eb678f2d3b336e5675ac34b59677ead3d706347feb0150f553b49cad0f1936a5abf179eaa496e32b8e9d59103022e5103d9e2d758aac2df781f031254c2fb SHA512 0a4d50da0eff0ee7d79941d27bf07b5425493b92f482b4f91bd91a930e4e9c5eb1d3832aee44919aa708fd1e2d0a53fe2d77ff33864a54d0e3167b4108545dec
+DIST networkx-2.8.6.tar.gz 1957238 BLAKE2B 70c5256440d94c1b0fa01f733ef46fc5da6846cf57891b344b6a82c27029b983827ecec9f1154d47771cff464b789bf84a9150111a0ecf1533ec83f1d41b718b SHA512 d56ab1a3007a914227f09969c9300b0582a640e5c3ad35b25400d8159ec35986a5e9bad5d7f86f1474b7293f495471fa3cd9f3b890a0d5287646338128d09d35
diff --git a/dev-python/networkx/networkx-2.8.6.ebuild b/dev-python/networkx/networkx-2.8.6.ebuild
new file mode 100644
index 000000000000..e46567a18985
--- /dev/null
+++ b/dev-python/networkx/networkx-2.8.6.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_FULLY_TESTED=( python3_{8..10} )
+# networkx skips tests w/ missing deps and the available ones all pass w/ py3.11
+PYTHON_COMPAT=( "${PYTHON_FULLY_TESTED[@]}" )
+inherit distutils-r1 optfeature multiprocessing virtualx
+
+DESCRIPTION="Python tools to manipulate graphs and complex networks"
+HOMEPAGE="
+ https://networkx.org/
+ https://github.com/networkx/networkx/
+ https://pypi.org/project/networkx/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+BDEPEND="
+ test? (
+ >=dev-python/lxml-4.5[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.13[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/numpy-1.19[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.6.2[${PYTHON_USEDEP}]
+ ' "${PYTHON_FULLY_TESTED[@]}")
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ # virtx implies nonfatal
+ has_version "dev-python/scipy[${PYTHON_USEDEP}]" || local EPYTEST_DESELECT=(
+ networkx/drawing/tests/test_pylab.py::test_draw
+ )
+ nonfatal epytest -p no:django -n "$(makeopts_jobs)" || die
+}
+
+src_install() {
+ distutils-r1_src_install
+ # those examples use various assets and pre-compressed files
+ docompress -x /usr/share/doc/${PF}/examples
+}
+
+pkg_postinst() {
+ optfeature "recommended dependencies" "dev-python/matplotlib dev-python/numpy dev-python/pandas dev-python/scipy"
+ optfeature "graph drawing and graph layout algorithms" "dev-python/pygraphviz dev-python/pydot"
+ optfeature "YAML format reading and writing" "dev-python/pyyaml"
+ optfeature "shapefile format reading and writing" "dev-python/gdal"
+ optfeature "GraphML XML format" "dev-python/lxml"
+}
diff --git a/dev-python/pymongo/Manifest b/dev-python/pymongo/Manifest
index 91522559083c..3133431084a1 100644
--- a/dev-python/pymongo/Manifest
+++ b/dev-python/pymongo/Manifest
@@ -1,4 +1,2 @@
-DIST mongo-python-driver-4.0.2.tar.gz 1027101 BLAKE2B d95eea08e09101f1db5df5dcbd5d843273ebd0c63b228420748a1663620ea18e05853372e876abc8b6480238de2b035c4e5a3c9f9b7c206228870a66e5d5f053 SHA512 eacb24d110de645a70b16b4d11f7a6b019f741fba2222f8ecee47d9f638fd71e579d3a46f5f539bc89d1ea53ddf0b72745b667a0f05479bb4b53ed72fb075b5b
-DIST mongo-python-driver-4.1.0.tar.gz 1069416 BLAKE2B ea7d81e405f4db4ec0e03591909541f5452f516d359e42fc6fde74435899353f4718b7dbfe3dc1802e79c9277fcfe6203ecd33a5e2ad2682c604b9de44c46c7c SHA512 558d321a335742fc3399e9f5cb4917605353f55a1912f9fa34ac46f6107ed6522f952dc9ef584f4cbe1ffcfc600b49963a4bdf606146c38b94379bbb6a382202
DIST mongo-python-driver-4.1.1.tar.gz 1070349 BLAKE2B 9b792343a22c4b0c625376e6f3d10e9c1a88442b63ff2638c29588a26755006507189bf40a8dad96d7f8e4f997efc153c8616826b58114aba32442c05b80ca60 SHA512 b01eb6bc4c39a25cae8350bdc2f37dd5d78da38a6eddbd8a26f91cb6ee067f7b4b1d97eb603defca16e05abc992b8f11b2e3558f9697c99697b3e876838de737
DIST mongo-python-driver-4.2.0.gh.tar.gz 1136734 BLAKE2B b3e2d86780c2874656f94ba3071317c0b9190418274c163135a260cad3f5672b9390aa738d0cf1aaff47412827620706e67c5c990910a5ea232aaacda0758dea SHA512 4439149c35f897a61109b26f5e4c613682ca59727495377a3bbb49f9ff22273cd5a73f58fb55080d07c9403310d4ada59d3a5969d0f76f2f4d1081422fe2dfec
diff --git a/dev-python/pymongo/pymongo-4.0.2.ebuild b/dev-python/pymongo/pymongo-4.0.2.ebuild
deleted file mode 100644
index 92739477aab4..000000000000
--- a/dev-python/pymongo/pymongo-4.0.2.ebuild
+++ /dev/null
@@ -1,117 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit check-reqs distutils-r1
-
-MY_P=mongo-python-driver-${PV}
-DESCRIPTION="Python driver for MongoDB"
-HOMEPAGE="https://github.com/mongodb/mongo-python-driver https://pypi.org/project/pymongo/"
-SRC_URI="
- https://github.com/mongodb/mongo-python-driver/archive/${PV}.tar.gz
- -> ${MY_P}.tar.gz"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 arm64 ~hppa ~riscv x86"
-IUSE="doc kerberos"
-
-RDEPEND="
- kerberos? ( dev-python/pykerberos[${PYTHON_USEDEP}] )
-"
-BDEPEND="
- test? (
- >=dev-db/mongodb-2.6.0
- )
-"
-
-distutils_enable_sphinx doc
-distutils_enable_tests unittest
-
-reqcheck() {
- if use test; then
- # During the tests, database size reaches 1.5G.
- local CHECKREQS_DISK_BUILD=1536M
-
- check-reqs_${1}
- fi
-}
-
-pkg_pretend() {
- reqcheck pkg_pretend
-}
-
-pkg_setup() {
- reqcheck pkg_setup
-}
-
-src_prepare() {
- # network-sandbox
- rm test/test_srv_polling.py || die
- sed -e 's:test_connection_timeout_ms_propagates_to_DNS_resolver:_&:' \
- -e 's:test_service_name_from_kwargs:_&:' \
- -e 's:test_srv_max_hosts_kwarg:_&:' \
- -i test/test_client.py || die
- sed -e '/SRV_SCHEME/s:_HAVE_DNSPYTHON:False:' \
- -i test/test_uri_spec.py || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- # Yes, we need TCP/IP for that...
- local DB_IP=127.0.0.1
- local DB_PORT=27000
-
- export DB_IP DB_PORT
-
- local dbpath=${TMPDIR}/mongo.db
- local logpath=${TMPDIR}/mongod.log
-
- # Now, the hard part: we need to find a free port for mongod.
- # We're just trying to run it random port numbers and check the log
- # for bind errors. It shall be noted that 'mongod --fork' does not
- # return failure when it fails to bind.
-
- mkdir -p "${dbpath}" || die
- while true; do
- ebegin "Trying to start mongod on port ${DB_PORT}"
-
- LC_ALL=C \
- mongod --dbpath "${dbpath}" --nojournal \
- --bind_ip ${DB_IP} --port ${DB_PORT} \
- --unixSocketPrefix "${TMPDIR}" \
- --logpath "${logpath}" --fork \
- && sleep 2
-
- # Now we need to check if the server actually started...
- if [[ ${?} -eq 0 && -S "${TMPDIR}"/mongodb-${DB_PORT}.sock ]]; then
- # yay!
- eend 0
- break
- elif grep -q 'Address already in use' "${logpath}"; then
- # ay, someone took our port!
- eend 1
- : $(( DB_PORT += 1 ))
- continue
- else
- eend 1
- eerror "Unable to start mongod for tests. See the server log:"
- eerror " ${logpath}"
- die "Unable to start mongod for tests."
- fi
- done
-
- local failed
- DB_PORT2=$(( DB_PORT + 1 )) DB_PORT3=$(( DB_PORT + 2 )) esetup.py test || failed=1
-
- mongod --dbpath "${dbpath}" --shutdown || die
-
- [[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
-
- rm -rf "${dbpath}" || die
-}
diff --git a/dev-python/pymongo/pymongo-4.1.0.ebuild b/dev-python/pymongo/pymongo-4.1.0.ebuild
deleted file mode 100644
index 565026d64ba7..000000000000
--- a/dev-python/pymongo/pymongo-4.1.0.ebuild
+++ /dev/null
@@ -1,117 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit check-reqs distutils-r1
-
-MY_P=mongo-python-driver-${PV}
-DESCRIPTION="Python driver for MongoDB"
-HOMEPAGE="https://github.com/mongodb/mongo-python-driver https://pypi.org/project/pymongo/"
-SRC_URI="
- https://github.com/mongodb/mongo-python-driver/archive/${PV}.tar.gz
- -> ${MY_P}.tar.gz"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~hppa ~riscv ~x86"
-IUSE="doc kerberos"
-
-RDEPEND="
- kerberos? ( dev-python/pykerberos[${PYTHON_USEDEP}] )
-"
-BDEPEND="
- test? (
- >=dev-db/mongodb-2.6.0
- )
-"
-
-distutils_enable_sphinx doc
-distutils_enable_tests unittest
-
-reqcheck() {
- if use test; then
- # During the tests, database size reaches 1.5G.
- local CHECKREQS_DISK_BUILD=1536M
-
- check-reqs_${1}
- fi
-}
-
-pkg_pretend() {
- reqcheck pkg_pretend
-}
-
-pkg_setup() {
- reqcheck pkg_setup
-}
-
-src_prepare() {
- # network-sandbox
- rm test/test_srv_polling.py || die
- sed -e 's:test_connection_timeout_ms_propagates_to_DNS_resolver:_&:' \
- -e 's:test_service_name_from_kwargs:_&:' \
- -e 's:test_srv_max_hosts_kwarg:_&:' \
- -i test/test_client.py || die
- sed -e '/SRV_SCHEME/s:_HAVE_DNSPYTHON:False:' \
- -i test/test_uri_spec.py || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- # Yes, we need TCP/IP for that...
- local DB_IP=127.0.0.1
- local DB_PORT=27000
-
- export DB_IP DB_PORT
-
- local dbpath=${TMPDIR}/mongo.db
- local logpath=${TMPDIR}/mongod.log
-
- # Now, the hard part: we need to find a free port for mongod.
- # We're just trying to run it random port numbers and check the log
- # for bind errors. It shall be noted that 'mongod --fork' does not
- # return failure when it fails to bind.
-
- mkdir -p "${dbpath}" || die
- while true; do
- ebegin "Trying to start mongod on port ${DB_PORT}"
-
- LC_ALL=C \
- mongod --dbpath "${dbpath}" --nojournal \
- --bind_ip ${DB_IP} --port ${DB_PORT} \
- --unixSocketPrefix "${TMPDIR}" \
- --logpath "${logpath}" --fork \
- && sleep 2
-
- # Now we need to check if the server actually started...
- if [[ ${?} -eq 0 && -S "${TMPDIR}"/mongodb-${DB_PORT}.sock ]]; then
- # yay!
- eend 0
- break
- elif grep -q 'Address already in use' "${logpath}"; then
- # ay, someone took our port!
- eend 1
- : $(( DB_PORT += 1 ))
- continue
- else
- eend 1
- eerror "Unable to start mongod for tests. See the server log:"
- eerror " ${logpath}"
- die "Unable to start mongod for tests."
- fi
- done
-
- local failed
- DB_PORT2=$(( DB_PORT + 1 )) DB_PORT3=$(( DB_PORT + 2 )) esetup.py test || failed=1
-
- mongod --dbpath "${dbpath}" --shutdown || die
-
- [[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
-
- rm -rf "${dbpath}" || die
-}
diff --git a/dev-python/pymongo/pymongo-4.1.1.ebuild b/dev-python/pymongo/pymongo-4.1.1.ebuild
index c17ee83889d1..92739477aab4 100644
--- a/dev-python/pymongo/pymongo-4.1.1.ebuild
+++ b/dev-python/pymongo/pymongo-4.1.1.ebuild
@@ -18,7 +18,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 ~arm64 ~hppa ~riscv x86"
+KEYWORDS="amd64 arm64 ~hppa ~riscv x86"
IUSE="doc kerberos"
RDEPEND="
diff --git a/dev-python/python-lsp-server/python-lsp-server-1.5.0.ebuild b/dev-python/python-lsp-server/python-lsp-server-1.5.0.ebuild
index 792b37c47a97..a99ca27ef8df 100644
--- a/dev-python/python-lsp-server/python-lsp-server-1.5.0.ebuild
+++ b/dev-python/python-lsp-server/python-lsp-server-1.5.0.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64"
+KEYWORDS="amd64 ~arm64"
IUSE="all-plugins"
diff --git a/dev-python/rpy/Manifest b/dev-python/rpy/Manifest
index 2353a14c03d4..54f01d45f135 100644
--- a/dev-python/rpy/Manifest
+++ b/dev-python/rpy/Manifest
@@ -1 +1,2 @@
DIST rpy2-3.4.5.tar.gz 194433 BLAKE2B 588c1c270d69b0214e77e586c4c66e78ae8912b6c10a2fe082be64dc75dff574fa0ab6d5bc500b8ff6a199de8540f508467bf0210f1c66b779857dee767262ab SHA512 296056e1c64a4555a1ccef74cfb580674034155a42b8e7c83feb8bb7d7a6d80b8e2f2966df53a6ed8612718ad169755a7994c5635dda1d1c8af1b549a5863935
+DIST rpy2-3.5.4.tar.gz 208307 BLAKE2B bd302a65daf9f702f66cde63484552c8b01777baf1fd99f1631711806ea259df51d4beb7800b6fa9f9816637b1b6a0f75bb583e256c956142aaad5b677038fa2 SHA512 65a0a4516f362459667a678c3aeaaa05fa1df785ac4e203122e6268db1578af8d7344b905ef27528c20ebdf93bbbe5f1b6a5d8958d1f5dca2867d95f191afb5b
diff --git a/dev-python/rpy/rpy-3.5.4.ebuild b/dev-python/rpy/rpy-3.5.4.ebuild
new file mode 100644
index 000000000000..a59b99c565db
--- /dev/null
+++ b/dev-python/rpy/rpy-3.5.4.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE="sqlite"
+inherit distutils-r1 virtualx
+
+MYSLOT=2
+MY_PN=${PN}${MYSLOT}
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Python interface to the R Programming Language"
+HOMEPAGE="https://rpy2.github.io/
+ https://pypi.org/project/rpy2/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="AGPL-3 GPL-2 LGPL-2.1 MPL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+# ggplot2 is a test dep but not in portage
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-lang/R-3.2
+ dev-python/cffi[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ >=dev-python/pandas-0.13.1[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/tzlocal[${PYTHON_USEDEP}]
+"
+PDEPEND="dev-python/ipython[${PYTHON_USEDEP}]"
+
+python_test() {
+ cd "${BUILD_DIR}"/lib || die
+ virtx "${EPYTHON}" -m 'rpy2.tests'
+}
diff --git a/dev-python/urllib3/Manifest b/dev-python/urllib3/Manifest
index 8762e265c4c1..127f03eb5d61 100644
--- a/dev-python/urllib3/Manifest
+++ b/dev-python/urllib3/Manifest
@@ -1,2 +1,3 @@
DIST urllib3-1.26.10.tar.gz 297854 BLAKE2B 2523bc197ed9720e2bd011ffa46a46605cab902d66b245cb5229e15e90ac5bac990851d6cb9b6aa2dd5682da2639af7cd8e3c8c27f1210e5ca0c7c10498babd3 SHA512 76c1cc9420c267986c7775a9d9eadfd08e980643c2da16602f755e11a274ffbbf1813f30245fb0d84ee3a99bb3aa33b98893f285cabec8dd4aee1304420cb15b
DIST urllib3-1.26.11.tar.gz 299255 BLAKE2B bf4d5f0b9f8a95c825b9f8fd963a1dc46688123641c3198812dedc11155f445f75ca321e3e283b649bc30cda8de497d0fb88298d6ad41660d91b8843121e50a2 SHA512 d2cc0f57469b640147f2087e2844a7c2c45e5a374ad0f28c1639d9a38ff6d6760f65b9b3187409cee29782d854468a1e4bc1b20d96e010fdd1fd4213bf1cd924
+DIST urllib3-1.26.12.tar.gz 299806 BLAKE2B 17c1f02382101b5a44fbc456344befe671c9579f6208ea307866ae0e2fabbe017fdd4b751a6053a6d014bf007f114ca4fc81e2149c9814ab5bef057ffcbce2d0 SHA512 c34bc2cb92ff5fb4e27948b6b8bf286d1f3993d8e399a7dc99e8c1cb07b364f16f9c8d6fc3e5e22e6f2d9285454a945174a9a1de3cb0fcf08e673ba316bc5469
diff --git a/dev-python/urllib3/urllib3-1.26.12.ebuild b/dev-python/urllib3/urllib3-1.26.12.ebuild
new file mode 100644
index 000000000000..5eaf76c6344b
--- /dev/null
+++ b/dev-python/urllib3/urllib3-1.26.12.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="HTTP library with thread-safe connection pooling, file post, and more"
+HOMEPAGE="
+ https://github.com/urllib3/urllib3/
+ https://pypi.org/project/urllib3/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="brotli test"
+RESTRICT="!test? ( test )"
+
+# dev-python/{pyopenssl,cryptography,idna,certifi} are optional runtime
+# dependencies. Do not add them to RDEPEND. They should be unnecessary with
+# modern versions of python (>= 3.2).
+RDEPEND="
+ >=dev-python/PySocks-1.5.8[${PYTHON_USEDEP}]
+ <dev-python/PySocks-2.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ brotli? ( dev-python/brotlicffi[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep "
+ ${RDEPEND}
+ dev-python/brotlicffi[\${PYTHON_USEDEP}]
+ dev-python/mock[\${PYTHON_USEDEP}]
+ dev-python/pytest[\${PYTHON_USEDEP}]
+ dev-python/pytest-freezegun[\${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.5.3[\${PYTHON_USEDEP}]
+ >=www-servers/tornado-4.2.1[\${PYTHON_USEDEP}]
+ " python3_{7..10})
+ )
+"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unbundle urllib3
+ rm src/urllib3/packages/six.py || die
+ find -name '*.py' -exec sed -i \
+ -e 's:\([.]*\|urllib3\.\)\?packages\.six:six:g' \
+ -e 's:from \([.]*\|urllib3\.\)\?packages import six:import six:g' \
+ {} + || die
+}
+
+python_test() {
+ local -x CI=1
+ # FIXME: get tornado ported
+ # please keep in sync with BDEPEND!
+ if ! has "${EPYTHON}" python3.{8..11}; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # unstable (relies on warning count)
+ test/with_dummyserver/test_proxy_poolmanager.py::TestHTTPProxyManager::test_proxy_verified_warning
+ )
+ has "${EPYTHON}" python3.{8..10} && EPYTEST_DESELECT+=(
+ test/contrib/test_pyopenssl.py::TestPyOpenSSLHelpers::test_get_subj_alt_name
+ )
+
+ epytest
+}
diff --git a/dev-python/whatthepatch/whatthepatch-1.0.2.ebuild b/dev-python/whatthepatch/whatthepatch-1.0.2.ebuild
index 5d911ebe3f21..6899cc04292e 100644
--- a/dev-python/whatthepatch/whatthepatch-1.0.2.ebuild
+++ b/dev-python/whatthepatch/whatthepatch-1.0.2.ebuild
@@ -14,6 +14,6 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64"
+KEYWORDS="amd64 ~arm64"
distutils_enable_tests pytest